From 82c4382aab8a9251ebc71bda6e8caedcce97474a Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Alu=C3=ADsio=20Augusto=20Silva=20Gon=C3=A7alves?=
 <aluisio@aasg.name>
Date: Wed, 10 Jul 2019 12:25:14 -0300
Subject: [PATCH 30/42] vscode: update to 1.36.1.

[ci skip]
---
 common/shlibs           | 1 +
 srcpkgs/vscode/template | 9 ++++++---
 2 files changed, 7 insertions(+), 3 deletions(-)

diff --git a/common/shlibs b/common/shlibs
index 027e11d1efd..5525b1f5d3d 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -127,6 +127,7 @@ libGLESv2.so discord-0.0.7_1
 libGLESv2.so keybase-desktop-3.1.2_1
 libGLESv2.so riot-desktop-0.17.9_2
 libGLESv2.so wire-desktop-3.6.2885_1
+libGLESv2.so vscode-1.36.1_1
 libGLESv2.so Signal-Desktop-1.23.2_1
 libGLESv2.so slack-desktop-3.4.2_1
 libbrcmEGL.so rpi-userland-20180103_2
diff --git a/srcpkgs/vscode/template b/srcpkgs/vscode/template
index 786394eaefa..2ca4af6035a 100644
--- a/srcpkgs/vscode/template
+++ b/srcpkgs/vscode/template
@@ -1,6 +1,6 @@
 # Template file for 'vscode'
 pkgname=vscode
-version=1.35.1
+version=1.36.1
 revision=1
 hostmakedepends="pkg-config python nodejs-lts yarn"
 makedepends="libxkbfile-devel libsecret-devel"
@@ -10,7 +10,7 @@ maintainer="shizonic <realtiaz@gmail.com>"
 license="MIT"
 homepage="https://code.visualstudio.com/"
 distfiles="https://github.com/Microsoft/vscode/archive/${version}.tar.gz"
-checksum=6a5bab018f35727897140d410a3d0ebaa640d6c75ee8053a1cd5e02ece5714e9
+checksum=24b9f4046bd8ef7edb663429a58bf7dbe3acc22487a2946a4e5ead216415c065
 patch_args="-Np1"
 
 # Due to electron
@@ -35,8 +35,11 @@ pre_build() {
 
 do_build() {
 	export NODE_OPTIONS="${_mem_limit}"
-	# Remove once nodejs-lts >= 10; see node-gyp issue 1457.
+	# Remove once nodejs-lts >= 10; see node-gyp issue 1457 and
+	# electron/node issue 64.
 	export npm_config_build_v8_with_gn="false"
+	export npm_config_enable_lto="false"
+
 	yarn install --ignore-engines --arch=${_ARCH}
 	yarn run gulp vscode-linux-${_ARCH}-min
 }

